### Method

# Gtk Widgetinsert_before

#### Declaration [src]

    void
    gtk_widget_insert_before (
      GtkWidget* widget,
      GtkWidget* parent,
      GtkWidget* next_sibling
    )

#### Description [src]

Inserts `widget` into the child widget list of `parent`.

It will be placed before `next_sibling`, or at the end if `next_sibling` is `NULL`.

After calling this function, `gtk_widget_get_next_sibling(widget)` will return `next_sibling`.

If `parent` is already set as the parent widget of `widget`, this function can also be used to reorder `widget` in the child widget list of `parent`.

This API is primarily meant for widget implementations; if you are just using a widget, you must use its own API for adding children.

#### Parameters

`parent`

  Type: `GtkWidget`

  The parent `GtkWidget` to insert `widget` into.

  The data is owned by the caller of the method.

`next_sibling`

  Type: `GtkWidget`

  The new next sibling of `widget`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.